/*
 * C
 *
 * Copyright 2017-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */

#ifndef __LWIP_UTIL_H
#define __LWIP_UTIL_H

/**
 * @file
 * @brief LLNET utility functions for LWIP.
 * @author MicroEJ Developer Team
 * @version 0.2.0
 * @date 1 February 2018
 */

#include <stdint.h>
#include <lwip/netif.h>

#if LWIP_NETIF_LINK_CALLBACK
extern void ethernetif_update_config(struct netif *netif);
extern void ethernetif_set_link(void const *argument);

void llnet_lwip_notify_conn_changed(struct netif *netif);
#endif
int32_t llnet_lwip_init(void);

#endif // __LWIP_UTIL_H
