/* 
 * IceTea
 * 
 * Copyright 2014-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
/* 
 * AUTOGENERATED by Unknown product - Unknown version - DO NOT EDIT IT
 */
/* 
 * Implementation header file. Shall only be included by client implementation C files.
 */
#include <LLCOMM.h>
#include <stdint.h>
#include <intern/LLCOMM_impl.h>
// --------------------------------------------------------------------------------
// -                      Functions that must be implemented                      -
// --------------------------------------------------------------------------------

/**
 * This function is the first function called.
 * Some connections can be added using {@link LLCOMM_addConnection}. 
 * These connections are considered to be static connections and cannot be removed.
 */
void LLCOMM_IMPL_initialize(void);

/**
 * This function is called before accessing the pool of connections, from initialize/add/remove/open/close operations.
 * If the implementation dynamically adds or removes connections, it must implement a reentrant synchronization mechanism to avoid execution of parallel operations.
 * If the implementation does not dynamically add or remove connections, it can do nothing.
 */
void LLCOMM_IMPL_syncConnectionsEnter(void);

/**
 * This function is called after modifying the array of connections.
 * If the implementation dynamically adds or removes connections, it must implement a reentrant synchronization mechanism to avoid execution of parallel operations.
 * If the implementation does not dynamically add or remove connections, it can do nothing.
 */
void LLCOMM_IMPL_syncConnectionsExit(void);
